Download it now!
Bug 93805 - SIDEBAR: Show style preview within closed style combobox
Summary: SIDEBAR: Show style preview within closed style combobox
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: UNO-Command-New Styles-Preview Sidebar-Properties-Style
  Show dependency treegraph
 
Reported: 2015-08-31 13:17 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-09-26 21:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-08-31 13:17:33 UTC
Now that the paragraph styles combobox is in the sidebar, it would be good to have the preview of the currently selected style shown the control is closed, similar to this mockup (attachment 109496 [details]).
Comment 1 Yousuf Philips (jay) (retired) 2016-03-22 12:41:15 UTC
Tomaz implemented a similar type of preview control in attachment 114973 [details] from 90646.
Comment 2 Susobhan Ghosh 2016-07-30 22:08:23 UTC
If I'm not wrong, a lot has changed (and has been implemented) in the properties panel as per the given mockup.

However, I don't see separate content panels for lists, Alignment, and Spacing (the controls are included under paragraph content panel currently), and the advanced controls for "Character Style" and "font weight" (not sure how font weight is going to function).

@Jay, can you highlight what is being missed out, or what should be the updated mockup?
Comment 3 Yousuf Philips (jay) (retired) 2016-07-31 03:22:40 UTC
(In reply to Susobhan Ghosh from comment #2)
> If I'm not wrong, a lot has changed (and has been implemented) in the
> properties panel as per the given mockup.

I linked to the mockup as just a reference to what the style combobox preview concept would look like.

> @Jay, can you highlight what is being missed out, or what should be the
> updated mockup?

Tomaz's screenshot in comment 1 is a more realistic example with what the sidebar looks like today. Check with quikee on what is the state the work he did, so maybe you can continue it.
Comment 4 Yousuf Philips (jay) (retired) 2017-04-21 11:29:22 UTC
Ideally this would be created as a separate UNO command, also this preview drop down could go into the notebookbar.